/* =============================================================================
    PROJECT:    Filie
    FILE:       UKSidebarDataSource.h
    
    COPYRIGHT:  (c) 2004 by M. Uli Kusterer, all rights reserved.
    
    AUTHORS:    M. Uli Kusterer - UK
    
    LICENSES:   GNU GPL
    
    REVISIONS:
        2004-12-10  UK  Created.
   ========================================================================== */

// -----------------------------------------------------------------------------
//  Headers:
// -----------------------------------------------------------------------------

#import <Cocoa/Cocoa.h>
#import "UKFSDataSource.h"


// -----------------------------------------------------------------------------
//  Classes:
// -----------------------------------------------------------------------------

/* This object lists the Finder sidebar's contents and tells its delegate about each
    item and its attributes. In Filie, the sidebar doubles as our replacement
    for "My Computer", so there's no way to turn off the list of volumes. */

@interface UKSidebarDataSource : NSObject <UKFSDataSource>
{
    id<UKFSDataSourceDelegate>  delegate;
}

@end
